import { APIClient } from '@ffflorian/api-client';
import { ClientOptions, PaginationOptions, Platform } from '../interfaces/';
import { APIBase } from './APIBase';
export declare class PlatformAPI extends APIBase {
    constructor(apiClient: APIClient, options: ClientOptions);
    /**
     * Get list of supported package managers.
     * @see https://libraries.io/api#platforms
     * @param options Pagination options
     */
    getPlatforms(options?: PaginationOptions): Promise<Platform[]>;
}
