"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Endpoints_1 = require("../Endpoints");
var APIBase_1 = require("./APIBase");
var PlatformAPI = /** @class */ (function (_super) {
    __extends(PlatformAPI, _super);
    function PlatformAPI(apiClient, options) {
        return _super.call(this, apiClient, options) || this;
    }
    /**
     * Get list of supported package managers.
     * @see https://libraries.io/api#platforms
     * @param options Pagination options
     */
    PlatformAPI.prototype.getPlatforms = function (options) {
        var endpoint = Endpoints_1.Endpoint.platforms();
        return this.apiClient.requestService.get(endpoint, { data: options });
    };
    return PlatformAPI;
}(APIBase_1.APIBase));
exports.PlatformAPI = PlatformAPI;
//# sourceMappingURL=PlatformAPI.js.map